Create a skill

Create a skill and attach it to an assistant.

Endpoint

POST
/ai-assistant-skills

Body

NameTypeRequiredDescription
organization_idintegerYesYour API key's organization ID.
assistant_idintegerYesAssistant that uses the skill (same organization).
namestringYesSkill name.
when_to_usestringYesWhen the assistant should load the skill.
contentstringYesInstructions or knowledge (Markdown or plain text).

Request

Response

json

Errors

StatusWhen
400A required field is missing, or assistant_id does not exist or belongs to another organization.
403organization_id is missing or is not your API key's organization.

Report an issue with this documentation

Please log in to report issues with our documentation.